//          AlphaLib32 SampleCode
//                              Ko-Ta
// Caution
//  EDDDDUse3DvpeBTRUE
//  ED3DOptionMakeZBufferFALSEɂ܂傤

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  dddd,AlphaLib32;

type
  TForm1 = class(TForm)
    DDDD1: TDDDD;
    procedure DDDD1Init(Sender: TObject; fNeedChange: Boolean);
    procedure FormDestroy(Sender: TObject);
  private
    { Private 錾 }
    AL : TAlpha32;
  public
    { Public 錾 }
    bmp : TDDDDTexture;

    procedure MainLoop(sender : TObject; var Done:Boolean);

  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.DDDD1Init(Sender: TObject; fNeedChange: Boolean);
begin
  //WindowModeɐݒ
  DDDD1.WindowMode(640,480);
  //ALphaLib32𐶐
  AL := TAlpha32.Create(DDDD1,);
  //LinerFiltergǂ
  AL.LINEARFILTER := FALSE;
  //ImageLoad
  bmp := AL.LoadTexture('image1.bmp');
  //OnIdle̎t
  Application.OnIdle := MainLoop;
end;

procedure TForm1.MainLoop(sender : TObject; var Done:Boolean);
var
  t : Single;
  i,j : Integer;
  xx,yy : array[0..15] of Single;
begin
  t := (GetTickCount mod 5000) / 5000;
  //ʂ̃NA
  AL.Clear(0);
  //摜̕\
  AL.DrawTex(bmp,0,0,256,256,320,240,
             2.0-t,2.0-t,-t,
             $FFFFFFFF,BM_NORMAL,80);

  AL.DrawTex(bmp,0,0,256,256,320,240,
             1.0,1.0,0,
             $FFFFFFFF,BM_NORMAL,100);

  //DrawCurve
  t := (GetTickCount mod 3600) / 10;
  for i:=0 to 15 do
  begin
    xx[i] := cos(3.14159265*(i*20+t)/180)*250 + 320;
    yy[i] := sin(3.14159265*(i*20+t)/180)*150 + 240;
  end;
  AL.DrawCurve(bmp,0,0,256,256, xx,yy,16,120,$FFFFFFFF,BM_SUBADD,120);
  AL.DrawCurve(bmp,0,0,256,256, yy,xx,16,120,$FFFFFFFF,BM_SUBADD,120);
  //ۂ̉ʂɔf
  AL.Rendering;
  //tbv
  DDDD1.Flip;

  Sleep(5);
  Done := FALSE;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  //Texture
  AL.FreeTexture(bmp);
  //AlphaLib32
  AL.Free;
end;

end.
 